<?php
header("Content-Type: text/html; charset=UTF-8");
include_once('config.php');
include_once(SITE_LOGICS . 'api/controller.php');
$logic = new ControlApi();

$logic -> action();

if($logic -> getType() == CONTROL_SETTING_CHANGE_MAIL) {	// メールの変更
	require_once('change_mailaddress.php');
} else if($logic -> getMethod() == CONTROL_VER_REGIST) {	// 新規口座開設認証

	if(!$logic -> getResult()) {
		require_once($logic -> getUserHTML('TEMPLATE_REGISTER_STEP_5_FAIL_PATH', array()));
	} else {
		require_once($logic -> getUserHTML('TEMPLATE_REGISTER_STEP_5_PATH', array()));
	}
} else if($logic -> getMethod() == CONTROL_RE_SEND) {		// 新規口座開設認証メール再送信
	require_once($logic -> getUserHTML('TEMPLATE_LOGIN_RE_SEND_PATH', array()));

}
?>
